module Database.Redis.Connection.Tests
    ( tests ) where


------------------------------------------------------------------------------
import           Test.Framework (Test)
import           Test.Framework.Providers.HUnit
import qualified Test.HUnit as H


import           Database.Redis


------------------------------------------------------------------------------
-- N.B. These aren't proper tests yet, just checks


------------------------------------------------------------------------------
tests :: [Test]
tests = [ testCase "redis-link ping"          pingTest ]

------------------------------------------------------------------------------
pingTest :: H.Assertion
pingTest = do
    con <- connect localhost defaultPort
    returning <- ping con
    disconnect con
    H.assertEqual "ping" (Just $ RedisSingle $ toUTF8 "PONG") returning


